## com.google.gwt.user.client
Interface HistoryListener

All Superinterfaces:
  java.util.EventListener

public interface HistoryListener
extends java.util.EventListener

Implement this interface to receive notification of changes to the browser history state. It is used with `History`.

Method Summary
`void` `onHistoryChanged(java.lang.String historyToken)` Fired when the user clicks the browser's 'back' or 'forward' buttons.

Method Detail

### onHistoryChanged

    public void onHistoryChanged(java.lang.String historyToken)

  Fired when the user clicks the browser's 'back' or 'forward' buttons.

  Parameters:
    `historyToken` - the token representing the current history state